{
   Copyright (C) 2010 MegaBrutal

   This unit is free software: you can redistribute it and/or modify
   it under the terms of the GNU Lesser General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This unit is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU Lesser General Public License for more details.

   You should have received a copy of the GNU Lesser General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.
}


{$MODE DELPHI}

unit RFCSMTP;

interface

const

   STANDARD_SMTP_PORT         =     25;


   SMTP_R_READY               =    220;
   SMTP_R_CLOSE               =    221;
   SMTP_R_SERVICE_NA          =    421;

   SMTP_R_OK                  =    250;
   SMTP_R_USERNOTLOCAL        =    251;
   SMTP_R_CANNOTVERIFY        =    252;
   SMTP_R_MAILBOX_BUSY        =    450;
   SMTP_R_MAILBOX_NA          =    550;

   SMTP_R_ABORTED             =    451;
   SMTP_R_TRYFORWARD          =    551;
   SMTP_R_STOR_FULL           =    452;
   SMTP_R_STOR_EXCEEDED       =    552;
   SMTP_R_MB_SYNTAX_ERROR     =    553;

   SMTP_R_START_MAIL_INPUT    =    354;
   SMTP_R_TRANS_FAILED        =    554;

   SMTP_R_CMD_SYNTAX_ERROR    =    500;
   SMTP_R_PRM_SYNTAX_ERROR    =    501;
   SMTP_R_CMD_NOT_IMPLEMENTED =    502;
   SMTP_R_BAD_SEQUENCE        =    503;
   SMTP_R_PRM_NOT_IMPLEMENTED =    504;

   SMTP_R_SYSTEM_STATUS       =    211;
   SMTP_R_HELP_MESSAGE        =    214;

   SMTP_R_AUTH_MESSAGE        =    334;
   SMTP_R_AUTH_SUCCESSFUL     =    235;
   SMTP_R_AUTH_FAILED         =    535;


   SMTP_C_EHLO                = 'EHLO';
   SMTP_C_HELO                = 'HELO';
   SMTP_C_RSET                = 'RSET';
   SMTP_C_NOOP                = 'NOOP';
   SMTP_C_QUIT                = 'QUIT';
   SMTP_C_AUTH                = 'AUTH';

   SMTP_C_MAIL                = 'MAIL';
   SMTP_C_RCPT                = 'RCPT';
   SMTP_C_DATA                = 'DATA';
   SMTP_C_VRFY                = 'VRFY';



implementation


end.
